Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.primitive.store
Interface GraphicStore

    public interface GraphicStore

The `GraphicStore` class/interface...

Method Summary
`InternationalString` | `getDescription()` Description of this `GraphicStore`.
`InternationalString` | `getDisplayName()` Display name for this `GraphicStore`.
`List<Graphic>` | `getGraphics(DisplayFactory factory)` Gets a List of `Graphic`s produced by this `GraphicStore`.
`URI` | `getIcon()` Icon representing this `GraphicStore`.

Method Detail

### getIcon

    URI getIcon()

  Icon representing this `GraphicStore`.

  Returns:
    URI to a icon (GIF or PNG) representing this `GraphicStore`.
  TODO:
    Assumed 16x16 in size.

### getDisplayName

    InternationalString getDisplayName()

  Display name for this `GraphicStore`.

### getDescription

    InternationalString getDescription()

  Description of this `GraphicStore`.

### getGraphics

    List<Graphic> getGraphics(DisplayFactory factory)

  Gets a List of `Graphic`s produced by this `GraphicStore`. This List should not be live: modifying the List should not modify the `GraphicStore`'s internal `Graphic`s.

  Parameters:
    `factory` - the `DisplayFactory` to use to create the `Graphic`s
  Returns:
    a List of `Graphic`s

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.